// Validation

$(document).ready(function(){
  
  $("#myForm").validate({

    focusInvalid: false,
    focusCleanup: true,
    rules: {
      Name: {
      	required: true,
      	minlength: 2,
      	maxlength: 12
      },
      Email: {
      	required: true,
      	email: true
      },
      Text: {
      	required: true,
      	maxlength: 24
      },
      Password: {
      	required: true,
      	rangelength: [6, 24]
      },
      ConfirmPassword: {
      	required: true,
		rangelength: [6, 24],
		equalTo: "#Password"
      },
      Agree: "required",
      Url: {
      	url: true
      },
      Radio: "required",
      Avatar: {
      	accept: "jpg|gif|png"
      },
      Colors: {
      	required: true
     },
      Examine: {
      	required: true,
      	equal: 13
      }
    },
    messages: {
      Name: {
        required: "  , !",
        minlength: "  2 ",
        maxlength: "  12 "
      },
      Email: {
        required: "  email ",
        email: "Email    "
      },
      Text: {
      	required: " , !",
        maxlength: "  24 "
      },
      Password: {
      	required: " !",
		rangelength: " -  6  24 "
      },
      ConfirmPassword: {
      	required: " !",
		rangelength: " -  6  24 ",
		equalTo: "   !"
      },
      Agree: "  !",
      Url: {
      	url: "  URL"
      },
      Radio: "  ...",
     Avatar: {
      	accept: "jpg, gif  png"
      },
      Colors: {
      	required: " "
      },
      Examine: {
      	required: "   !",
      	equal: "   ?"
      }
    },
    errorPlacement: function(error, element) {
      var er = element.attr("name");
      error.appendTo( element.parent()
         .find("label[for='" + er + "']").find("em") );
    }
});
// ----  -----
});
